* gph_fig11_7.do

* Choose the directory where you store the files for the book.
* In the book's examples, the command is cd ~\Documents\ishr5.

use lbw1.dta, clear
quietly: logit low lwt bn.race, noconstant   
set scheme lean1   

twoway                                                               ///
   (function y=(_b[1.race]+x*_b[lwt]), range(50 250) lpattern(l))    ///   
   (function y=(_b[2.race]+x*_b[lwt]), range(50 250) lpattern(_))    ///   
   (function y=(_b[3.race]+x*_b[lwt]), range(50 250) lpattern(dash)) ///   
   ,                                                                 ///   
   legend(ring(0) pos(1) order(2 "Black" 3 "Other" 1 "White"))       ///   
   xtitle("Last prepregnancy weight (lb)")                           ///   
   ytitle("Log odds of low birthweight")                             ///   
   xline(130, lpattern(dash))                                        ///   
   name(p1, replace)   

twoway                                                                       ///
   (function y=invlogit(_b[1.race]+x*_b[lwt]), range(50 250) lpattern(l))    ///
   (function y=invlogit(_b[2.race]+x*_b[lwt]), range(50 250) lpattern(_))    ///
   (function y=invlogit(_b[3.race]+x*_b[lwt]), range(50 250) lpattern(dash)) ///
   ,                                                                         ///
   legend(ring(0) pos(1) order(2 "Black" 3 "Other" 1 "White"))               ///
   xtitle("Last prepregnancy weight (lb)")                                   ///
   ytitle("Probability of low birthweight")  ylabel(0(0.2)1)                 ///
   plotregion(margin(t=0 b=0))                                               ///
   xline(130, lpattern(dash)) name(p2, replace)

graph combine p1 p2, xsize(5) ysize(2.2) iscale(1.3)
